<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->


{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% load i18n %}
{% load currencyfilter %}

{% get_current_language as LANGUAGE_CODE %}

<!-- oob-swap for htmx: replace the import menu with the right basket id. -->
<!-- <div id="import-menu" hx-swap-oob="true" class="btn-group">
     <div class="dropdown">
     <button
     ng-hide="cur_basket.id == -99"
     data-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false" title="{% trans 'Import files' %}" class="btn btn-success dropdown-toggle">{% trans "Import" %}<span class="caret"></span>
     </button>
     <ul class="dropdown-menu">
     <li><a href="/import?source=institution&id={{ basket.pk }}" title="">{% trans "isbn and quantity (Dilicom)" %} - csv</a>
     </li>
     </ul>
     </div>
     </div>
-->
<div class="col-md-9">

  <h4>
    {% if is_command_complete %}
    ✔
    {% endif %}
    {{ client }} - {% trans "Command" %} {{ basket.name }}
    {% if is_command_complete %}
    &bull; CETTE COMMANDE EST COMPLETE
    {% endif %}
  </h4>

  {% if basket.sent_to_command_date %}
  <div>
    ! {% trans "Command" %}: {{ basket.sent_to_command_date }}
  </div>
  {% endif %}

  <div class="row">
    <div class="col-md-5">
      <div class="btn-group">
        <div class="dropdown">
          <button
              id="action-button-id" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn btn-info dropdown-toggle">
            {% trans "Action" %}
            <span class="caret"></span>
          </button>

          <ul class="dropdown-menu">

            <li>
              <!-- hx-post="/api/baskets/1/add/?basket_id={{ basket.pk }}" -->
              <a
                  hx-post="/api/institutions/lists/{{ basket.pk }}?action=command"
                  hx-target="#toplevel-messages"
                title="{% trans "Command the books not received" %}">
                {% trans "Command…" %}</a>
            </li>

            <li role="separator" class="divider"></li>
            <li><a
                    href="#"
                    hx-target="#toplevel-messages"
                    hx-post="/api/baskets/{{ basket.pk }}/empty?institution=true"
                    title="{% trans "Empty this list." %}">
              {% trans "Empty this list" %}</a>
            </li>
            <li><a
                    href="#"
                    hx-target="#toplevel-messages"
                    hx-post="/api/baskets/{{ basket.pk }}/archive?institution=true"
                    title="{% trans "Archive this list." %}">
              {% trans "Archive this list" %}</a>
            </li>
          </ul>

        </div>
      </div>

      <div class="btn-group">
        <div class="dropdown">
          <button
              data-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false" title="{% trans 'Export the list to the required format' %}" class="btn btn-success dropdown-toggle">{% trans "Export" %}<span class="caret"></span>
          </button>
          <ul class="dropdown-menu">
            <li><a href="/baskets/{{ basket.pk}}/export?format=txt&report=listing">txt</a>
            </li>
            <li><a href="/baskets/{{ basket.pk}}/export?format=csv&report=listing">{% trans "List" %} - csv</a>
            </li>
            <li><a href="/baskets/{{ basket.pk}}/export?format=csv&report=simplelisting">{% trans "isbn and quantity (Dilicom)" %} - csv</a>
            </li>
            {% trans "quantity" as text_quantity %}
            <li><a href="/baskets/{{ basket.id }}/export?format=csv&report=simplelisting&with_title=1">{% trans "isbn" %}, {{ text_quantity | lower }}, {% trans "title" %} - csv</a>
            </li>
            <li>
              <a href="/baskets/{{ basket.pk}}/export?format=pdf&report=listing&barcodes=true" >
              {% trans "List, with barcodes" %} - pdf
            </a>
            </li>
            <li><a
                    href="/baskets/{{ basket.pk}}/export?format=pdf&report=listing&barcodes=false&covers=true"
                >
              {% trans "List, with covers" %} - pdf</a>
            </li>

            <li role="separator" class="divider"></li>

            <li>
              <a data-comment="bon de livraison"
                  href="/baskets/{{ basket.pk}}/export?format=pdf&report=listing&shippingreceipt=true&barcodes=true&covers=false"
                  title="{% trans 'Create a shipping receipt' %}">
                {% trans "Shipping receipt" %}
              </a>
            </li>

            <!-- Bill. No need to choose a client, we know it. -->
            <li><a href="/baskets/{{ basket.pk }}/export?format=pdf&report=bill&barcodes=true&covers=false&client_id={{ client.pk }}&bill_or_estimate=1&is_institution=true"
                    title="{% trans "Create a bill for a client" %}">
              {% trans "Bill" %}…</a>
            </li>

            <li><a href="/baskets/{{ basket.pk }}/export?format=pdf&report=bill&barcodes=true&covers=false&client_id={{ client.pk }}&bill_or_estimate=2&is_institution=true"
                    title="{% trans "Create an estimate for a client" %}">
              {% trans "Estimate" %}…</a>
            </li>

          </ul>
        </div>
      </div>

      <div id="import-menu" class="btn-group">
        <div class="dropdown">
          <button
              data-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false" title="{% trans 'Import files' %}" class="btn btn-success dropdown-toggle">{% trans "Import" %}<span class="caret"></span>
          </button>
          <ul class="dropdown-menu">
            <li><a href="/import?source=institution&source_pk={{ basket.pk }}" title="">{% trans "isbn and quantity (Dilicom)" %} - csv</a>
            </li>
          </ul>
        </div>
      </div>

      <div class="btn-group">
        <!-- <button ng-click="toggle_images()" title="{% trans "Hide and show covers (d)" %}" class="btn btn-default"><i class="glyphicon glyphicon-th-list"></i>
             </button>
             <button type="button" title="{% trans "Show your notes (n)" %}" class="btn btn-default"><i class="glyphicon glyphicon-pencil"></i> -->
     </button><a href="http://abelujo.cc/docs/lists/" target="_blank" title="{% trans "Read the documentation" %}" class="btn btn-default"><i class="glyphicon glyphicon-question-sign"></i></a>
      </div>
    </div>
  </div>

  <div id="list-content" style="padding-top: 1em">
    <div>
      {% trans "Number of titles" %}:
      {{ basket.basketcopies_set.count }}

      {% trans "Number of books" %}:
      {% if copies %}
      {{ basket.quantity }}
      {% else %}
      {{ books_nb }}
      {% endif %}
    </div>

    <div>
      Total: {{ total_fmt }}
      {{ discount_label }}: {{ total_discounted_fmt }}
      <span class="mouse-pointer" style="padding-left: .5em">
        <a hx-get="/{{ LANGUAGE_CODE }}/institutions/baskets/{{ basket.pk }}"
            hx-target="#list-content">
          <i class="glyphicon glyphicon-refresh">
          </i>
        </a>
      </span>
    </div>

    <div>
      <form hx-post="/api/institutions/lists/{{ basket.pk }}?action=bon_de_commande_set"
          hx-swap="none"
      >
        <label>
          bon de commande:
        </label>
        <input type="text" name="bon_de_commande_id"
            {% if basket.bon_de_commande %}
            placeholder="{{ basket.bon_de_commande }}"
            {% endif %}
        />
        <button class="">
          OK
          <img class="htmx-indicator" src="/static/svg-loaders/svg-loaders/oval.svg"
          style="max-height: 1em">
        </button>
      </form>
    </div>

    <div x-data="{ open: false }">

      <!-- In case we did not import the ISBNs to books yet, show ISBN - quantity -->
      {% if content %}
      <table class="table-condensed table-striped">
      {% for it in content %}
      <tr>
        <td>
          {{ it.0 }}
        </td>
        <td>
          {{ it.1 }}
        </td>
      </tr>
      {% endfor %}

      </table>
      {% endif %}

      <!-- Here we can display real cards with their title etc. -->
      {% if copies %}
      <table class="table-condensed table-striped">
        <thead>
          <th>
              <button @click="open = ! open" title="{% trans "Hide and show covers (d)" %}" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-th-list"></i>
          </th>
          <th>
            {% trans "title" %}
            <input
                id="title-filter-input"
                onkeyup="filterTitles()"
                autocomplete="off"
                style="text"
                placeholder="{% trans "Filter" %}…" />
          </th>
          <th>
            {% trans "supplier" %}
          </th>
          <th>
            {% trans "price" %}
          </th>
          <th>
            {% trans "basket" %}
          </th>
          <th class="text-right">
            {% trans "stock" %}
          </th>
          <th>
            {% trans "Received" %}
          </th>
          <th>
            {% trans "To command" %}?
          </th>
        </thead>
        {% for copy in copies %}
        {% include "search/includes/client_institution_card_row.html" %}
        {% endfor %}
      </table>
      {% endif %}

    </div>

  </div>
</div>
